Page MenuHomePhabricator

Add github-release.py script
ClosedPublic

Authored by tstellar on Jul 16 2019, 5:11 PM.

Details

Summary

This script can be used for uploading relases sources and binaries
to github.

Diff Detail

Repository
rL LLVM

Event Timeline

tstellar created this revision.Jul 16 2019, 5:11 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 16 2019, 5:11 PM
hans added a comment.Jul 17 2019, 2:36 AM

My initial thought when I saw the filename was that this was a github version of test-release.sh. Which we'll need too, but it's not this one :-) What do you think about renaming to github-upload-release.py, or something else that has "upload" in the name to make it more explicit?

This is super cool! I just looked at https://github.com/llvm/llvm-project/releases

Should we be using this to host binaries from now on, and link to them from http://releases.llvm.org/ (ah, I see you did this for 7.1.0 already; I guess I'm not keeping up).

llvm/utils/release/github-release.py
17 ↗(On Diff #210225)

Where does one get the $github_token?

23 ↗(On Diff #210225)

If I mess up, is there somewhere I can go to remove files? Does a new upload overwrite old ones?

31 ↗(On Diff #210225)

ultra nit: This blank line seems unnecessary

tstellar updated this revision to Diff 210415.Jul 17 2019, 2:24 PM
tstellar marked 2 inline comments as done.

Rename script and add documentation for how to obtain a github token.

My initial thought when I saw the filename was that this was a github version of test-release.sh. Which we'll need too, but it's not this one :-) What do you think about renaming to github-upload-release.py, or something else that has "upload" in the name to make it more explicit?

This is super cool! I just looked at https://github.com/llvm/llvm-project/releases

Should we be using this to host binaries from now on, and link to them from http://releases.llvm.org/ (ah, I see you did this for 7.1.0 already; I guess I'm not keeping up).

Yes, I experimented with this for 7.1.0 and also 8.0.1-rc*. It seems to work well, and I think it makes sense to do this for all releases going forward. It will save the LLVM Foundation bandwidth costs and we need a new place to store the binaries anyway once SVN goes away.

hans accepted this revision.Jul 18 2019, 12:01 AM

Looks good to me!

This revision is now accepted and ready to land.Jul 18 2019, 12:01 AM
Closed by commit rL366977: Add github-release.py script (authored by tstellar, committed by ). · Explain WhyJul 24 2019, 6:44 PM
This revision was automatically updated to reflect the committed changes.